Moonborn — API · config
Reset a config item to its default by removing the scope override
DELETE/v1/config/{key}scope · Bearer (API key or session JWT)
Path parameters
| Field | Type | Description |
|---|---|---|
| keyreq | string |
Query parameters
| Field | Type | Description |
|---|---|---|
| scope_level | string | |
| scope_id | string |
Responses
200Item reset
Body
| Field | Type | Description |
|---|---|---|
| eventreq | object |
401Unauthenticated
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
403Forbidden (locked override)
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
404Config item not found
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
Examples
cURL
curl -X DELETE https://api.moonborn.co/v1/config/<key> \ -H "Authorization: Bearer $MOONBORN_API_KEY"
TypeScript
import Moonborn from '@moonborn/sdk';
const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });
const result = await client.config.deleteConfigItem({
key: '<key>',
});Python
import os
from moonborn import Moonborn
client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"])
result = client.config.delete_config_item(
key="<key>",
)